#include "initlist.h"
#include <initializer_list>
#include <iostream>
#include <vector>

class InitList {
public:
  std::vector<unsigned int> _list;

  InitList(std::initializer_list<unsigned int> list) : _list(list) {}
};

void initlist::test() {

  InitList initList{1, 2, 3, 4, 5};

  std::cout << "InitList: ";
  for (const auto &item : initList._list) {
    std::cout << item << " ";
  }
  std::cout << std::endl;
}
